Skip to content

Deployment

deployment_ssh_key_register

Register an SSH public key for the current workspace

Tool

deployment_ssh_key_register

Register an SSH public key for the current workspace

Register an SSH public key for the current workspace

Behavior

HTTP
POST /deployment/ssh-keys

Arguments

NameTypeRequiredDescription
namestringHuman label for the key, e.g. "my-laptop"
publicKeystringOpenSSH public key line (ssh-ed25519 / ssh-rsa ...)

Response

FieldTypeAlwaysDescription
idstring
algostring
namestring
scopestring
createdAtstring
productIdstring
lastUsedAtstring
ownerIdentityIdstring
fingerprintSha256string

Try it

Register an SSH public key for the current workspace.

When to use

Register an SSH public key for the current workspace

Example

Ask your agent something like this:

Register an SSH public key for the current workspace.

The agent will invoke deployment_ssh_key_register with these arguments:

{
  "name": "<name>",
  "publicKey": "<publicKey>"
}

Esc

Start typing to search the docs.

navigateselect